<?php
if (function_exists('register_sidebars'))
register_sidebar( array ('name'=>'Sidebar380px', 'id'=>'sidebar380px', 'before_title'=>'<h3>', 
'after_title'=>'</h3>', 'before_widget' => '<li class="widget">', ' after_widget' => '</li>'  ));
function new_excerpt_length($length) {
	return 80;
}
add_filter('excerpt_length', 'new_excerpt_length');

add_editor_style();

add_theme_support( 'post-formats', array( 'aside', 'gallery' ) );

function yetii_init() {
	wp_register_script('yetii', get_template_directory_uri() .'/yetii-min.js');
	wp_enqueue_script('yetii');
}
add_action('init', 'yetii_init');

function add_my_stylesheet() {
         wp_register_style('myStyleSheets',  get_stylesheet_directory_uri() .'/print.css', '' , '1.0','print');
         wp_enqueue_style( 'myStyleSheets'); }
add_action('wp_print_styles', 'add_my_stylesheet');

if ( function_exists( 'add_theme_support' ) ){
add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 580, 200, true );
add_image_size('single_post', 580, 200, true);
}

if ( ! isset( $content_width ) )
	$content_width = 580;
	
add_theme_support( 'automatic-feed-links' );

if (function_exists('wp_nav_menu')) {
register_nav_menus(array('primary' => 'Primary Navigation'));
}

function dark_recent_comments_style() {
	global $wp_widget_factory;
	remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
}
add_action( 'widgets_init', 'dark_recent_comments_style' );

function dark_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'dark_menu_args' );

function dark_remove_gallery_css( $css ) {
	return preg_replace( "#<style type='text/css'>(.*?)</style>#s", '', $css );
}
add_filter( 'gallery_style', 'dark_remove_gallery_css' );


	define( 'HEADER_TEXTCOLOR', '' );

	define( 'HEADER_IMAGE', '%s/images/header.jpg' );

	define( 'HEADER_IMAGE_WIDTH', apply_filters( 'dark_header_image_width', 960 ) );
	define( 'HEADER_IMAGE_HEIGHT', apply_filters( 'dark_header_image_height', 176 ) );

	set_post_thumbnail_size( HEADER_IMAGE_WIDTH, HEADER_IMAGE_HEIGHT, true );

	define( 'NO_HEADER_TEXT', true );

	add_custom_image_header( 'dark_header_style', 'dark_header_style' );
	register_default_headers( array(
		'head' => array(
			'url' => '%s/images/headers/head.jpg',
			'thumbnail_url' => '%s/images/headers/head-thumbnail.jpg',
			'description' => __( 'Head', '' )
		)
	) );

function dark_header_style() {
?>
<style type="text/css">
#header {
	background:#150A04 url(<?php header_image(); ?>) no-repeat top right ;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
    height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
}
</style>
<?php
}

if ( ! function_exists( 'custom_comments' ) ) :

function custom_comments( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case '' :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<div id="comment-<?php comment_ID(); ?>">
		<div class="comment-author vcard">
			<?php echo get_avatar( $comment, 40 ); ?>
			<?php printf( __( '%s <span class="says">says:</span>', '' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
		</div><!-- .comment-author .vcard -->
		<?php if ( $comment->comment_approved == '0' ) : ?>
			<em><?php _e( 'Your comment is awaiting moderation.', '' ); ?></em>
			<br />
		<?php endif; ?>

		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', '' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', '' ), ' ' );
			?>
		</div><!-- .comment-meta .commentmetadata -->

		<div class="comment-body"><?php comment_text(); ?></div>

		<div class="reply">
			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
		</div><!-- .reply -->
	</div><!-- #comment-##  -->

	<?php
			break;
		case 'pingback'  :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', '' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', ''), ' ' ); ?></p>
	<?php
			break;
	endswitch;
}
endif;


/*  Options zBench http://zww.me/archives/25131 */

class darkOptions {
	function getOptions() {
		$options = get_option('dark_options');
		if (!is_array($options)) {
			$options['facebook'] = '';
			$options['twitter'] = '';
			$options['flickr'] = '';
			$options['name'] = '';		
			$options['email'] = '';
			$options['photo'] = '';
			$options['description'] = '';
			$options['gacod'] = '';			
			update_option('dark_options', $options);
		}
		return $options;
	}
	function init() {
		if(isset($_POST['classic_save'])) {
			$options = darkOptions::getOptions();
			$options['facebook'] = stripslashes($_POST['facebook']);
			$options['twitter'] = stripslashes($_POST['twitter']);
			$options['flickr'] = stripslashes($_POST['flickr']);
			$options['name'] = stripslashes($_POST['name']);
			$options['email'] = stripslashes($_POST['email']);
			$options['photo'] = stripslashes($_POST['photo']);
			$options['description'] = stripslashes($_POST['description']);	
			$options['gacod'] = stripslashes($_POST['gacod']);		
			update_option('dark_options', $options);
		} else {
			darkOptions::getOptions();
		}
		add_theme_page("Dark Options", "Dark Options", 'edit_themes', basename(__FILE__), array('darkOptions', 'display'));
	}
	function display() {
		$options = darkOptions::getOptions();
?>
<form action="#" method="post" enctype="multipart/form-data" name="classic_form" id="classic_form">
	<div class="wrap">
<h2><?php _e('Dark Options', ''); ?></h2>
	
<h3 style="width:300px"><?php _e('<strong>Facebook</strong>', ''); ?></h3>
<textarea name="facebook" cols="10" rows="10" id="facebook" style="width:400px;height:25px;font-size:12px;" class="code"><?php echo($options['facebook']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('Put your full twitter address here.', ''); ?></small>

<h3 style="width:300px"><?php _e('<strong>Twitter</strong>', ''); ?></h3>
<textarea name="twitter" cols="10" rows="10" id="twitter" style="width:400px;height:25px;font-size:12px;" class="code"><?php echo($options['twitter']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('Twitter name.', ''); ?></small>

<h3 style="width:300px"><?php _e('<strong>Flickr</strong>', ''); ?></h3>
<textarea name="flickr" cols="10" rows="10" id="flickr" style="width:400px;height:25px;font-size:12px;" class="code"><?php echo($options['flickr']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('"Flickr"- ID. <a href="http://idgettr.com/">idgettr.com</a>.', ''); ?></small>

<h3 style="width:300px"><?php _e('<strong>Name</strong>', ''); ?></h3>
<textarea name="name" cols="10" rows="10" id="name" style="width:400px;height:25px;font-size:12px;" class="code"><?php echo($options['name']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('Your name.', ''); ?></small>

<h3 style="width:300px"><?php _e('<strong>E-mail</strong>', 'classic'); ?></h3>
<textarea name="email" cols="10" rows="10" id="email" style="width:400px;height:25px;font-size:12px;" class="code"><?php echo($options['email']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('Your e-mail.', ''); ?></small>

<h3 style="width:300px"><?php _e('<strong>Photo</strong>', ''); ?></h3>
<textarea name="photo" cols="10" rows="10" id="photo" style="width:400px;height:25px;font-size:12px;" class="code"><?php echo($options['photo']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('Put your full photo address here.(80x80px)', ''); ?></small>

<h3 style="width:300px"><?php _e('<strong>Description</strong>', ''); ?></h3>
<textarea name="description" cols="10" rows="10" id="Description" style="width:400px;height:125px;font-size:12px;" class="code"><?php echo($options['description']); ?></textarea>


<h3 style="width:300px"><?php _e('<strong>Google Analitics code</strong>', ''); ?></h3>
<textarea name="gacod" cols="10" rows="10" id="gacod" style="width:400px;height:125px;font-size:12px;" class="code"><?php echo($options['gacod']); ?></textarea>
<small style="font-weight:normal; margin-left:10px"><?php _e('Past your google analitic code.', ''); ?></small>

		<!-- Submit -->
		<p class="submit">
			<input type="submit" name="classic_save" value="<?php _e('Update Options &raquo;', ''); ?>" />
		</p>
	</div>
</form>


<?php
	}
}
add_action('admin_menu', array('darkOptions', 'init'));

?>
